com.threerings.whirled.spot.tools

## Class EditablePortal

- java.lang.Object
- - com.threerings.io.SimpleStreamableObject
  - - com.threerings.whirled.spot.data.Portal
    - - com.threerings.whirled.spot.tools.EditablePortal

All Implemented Interfaces:
  com.threerings.io.Streamable, Cloneable

    public class EditablePortal
    extends Portal

An editable portal extends the standard portal with information needed by the loader and editor.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`String` `name` The human-readable name of this portal.
`String` `targetPortalName` The human-readable name of the portal to which this portal links in its target scene.
`String` `targetSceneName` The human-readable name of the scene to which this portal links.

### Fields inherited from class com.threerings.whirled.spot.data.Portal

`loc, portalId, targetPortalId, targetSceneId`

### Constructor Summary

Constructors
Constructor and Description
`EditablePortal()`

### Method Summary

### Methods inherited from class com.threerings.whirled.spot.data.Portal

`clone, equals, getLocation, getOppLocation, hashCode, isValid`

### Methods inherited from class com.threerings.io.SimpleStreamableObject

`toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public String name

The human-readable name of this portal.

#### targetSceneName

    public String targetSceneName

The human-readable name of the scene to which this portal links.

#### targetPortalName

    public String targetPortalName

The human-readable name of the portal to which this portal links in its target scene.

### Constructor Detail

#### EditablePortal

    public EditablePortal()